
const { slaves } = require('../entity/slave');

/**
 * Envoie la solution à tous les clients cherchant ce hash
 * @param hash
 * @param solution
 */
function sendSolutionToClients(clients, hash, solution) {
    if (hash in clients) {
        for (let client of clients[hash]) {
            client.send(JSON.stringify({
                'type': 'solution',
                'hash': hash,
                'solution': solution
            }));
        }
        delete clients[hash];
    }
}

/**
 * Envoie le nombre de slaves travaillant et le nombre de hash en cour de decodage à tous les clients
 */
function sendDataToClients(hashCurrent, clients) {
    for (let client of clients)
        client.send(JSON.stringify({
            'type': 'data',
            'nbMdpRunning': hashCurrent.length,
            'nbSlaveWorking': slaves.length
        }));
}

module.exports = { sendSolutionToClients, sendDataToClients }